<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: StdDriver/inc/clk.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">clk.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d3/d89/clk_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifndef __CLK_H__</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#define __CLK_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="comment">/*  PWRCON constant definitions.                                                                           */</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac19eda48ead87f582993e738c45dc67a">   38</a></span><span class="preprocessor">#define CLK_PWRCON_XTL12M              0x01UL </span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab95ef36bda089bf77cd14db350231108">   39</a></span><span class="preprocessor">#define CLK_PWRCON_HXT                 0x01UL </span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga22872b84b1202b6959e93c6f0229e1a0">   40</a></span><span class="preprocessor">#define CLK_PWRCON_XTL32K              0x02UL </span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad60f063f0c649623710f618821a38821">   41</a></span><span class="preprocessor">#define CLK_PWRCON_LXT                 0x02UL </span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span><span class="comment">/*  CLKSEL0 constant definitions.                                                                          */</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0192231b669818ca9fae9a4e123fd292">   46</a></span><span class="preprocessor">#define CLK_CLKSEL0_HCLK_S_XTAL          0x00UL </span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaab3b399be3b8947d402a055289896da7">   47</a></span><span class="preprocessor">#define CLK_CLKSEL0_HCLK_S_IRC10K        0x03UL </span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafbbe76abb6aba125cdee4bc334de5df3">   48</a></span><span class="preprocessor">#define CLK_CLKSEL0_HCLK_S_LIRC          0x03UL </span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga74fe03b2203d04a9bdb5134d6c0d5a14">   49</a></span><span class="preprocessor">#define CLK_CLKSEL0_HCLK_S_IRC22M        0x07UL </span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafa76a76292a6fbe63388a660f4f6d0f4">   50</a></span><span class="preprocessor">#define CLK_CLKSEL0_HCLK_S_HIRC          0x07UL </span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5712fd319ccc5ab8632a664992e97f9d">   51</a></span><span class="preprocessor">#define CLK_CLKSEL0_STCLK_S_XTAL         0x00UL </span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf0d5c9c8ec942e8273a5f111edc7a17c">   52</a></span><span class="preprocessor">#define CLK_CLKSEL0_STCLK_S_XTAL_DIV2    0x10UL </span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga398fff62736b5fc83b8f5eb95b19326f">   53</a></span><span class="preprocessor">#define CLK_CLKSEL0_STCLK_S_HCLK_DIV2    0x18UL </span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0487823859f4907898fd5033cb2b974b">   54</a></span><span class="preprocessor">#define CLK_CLKSEL0_STCLK_S_IRC22M_DIV2  0x38UL </span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab5dc020a95d16762afe259487c72e5d1">   55</a></span><span class="preprocessor">#define CLK_CLKSEL0_STCLK_S_HIRC_DIV2    0x38UL </span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4b7adc9f1b60aebd6f7d084b70f99556">   56</a></span><span class="preprocessor">#define CLK_CLKSEL0_STCLK_S_HCLK         0x08UL </span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span><span class="comment">/*  CLKSEL1 constant definitions.                                                                          */</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8c8c197f4405d89f0117c6c05889a1f7">   62</a></span><span class="preprocessor">#define CLK_CLKSEL1_WDT_S_XTAL          0x00000000UL </span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9f9f8a20e02d953a4473c44dd9708c2a">   63</a></span><span class="preprocessor">#define CLK_CLKSEL1_WDT_S_HCLK_DIV2048  0x00000002UL </span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga400e4cf26455c3240cadf0a220eb5fb1">   64</a></span><span class="preprocessor">#define CLK_CLKSEL1_WDT_S_IRC10K        0x00000003UL </span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga952926fe754090a85f6c0c357eb0a7fe">   65</a></span><span class="preprocessor">#define CLK_CLKSEL1_WDT_S_LIRC          0x00000003UL </span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga81e81113550e5042207329cd0eb3f5ed">   66</a></span><span class="preprocessor">#define CLK_CLKSEL1_ADC_S_XTAL          0x00000000UL </span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9e5b8de58e34a2fa8b91066c40eac5af">   67</a></span><span class="preprocessor">#define CLK_CLKSEL1_ADC_S_HCLK          0x00000008UL </span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaad5d3103d731c0929d28c09f8bf2c466">   68</a></span><span class="preprocessor">#define CLK_CLKSEL1_ADC_S_IRC22M        0x0000000CUL </span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3f350585f3146aba766df2e08beaacee">   69</a></span><span class="preprocessor">#define CLK_CLKSEL1_ADC_S_HIRC          0x0000000CUL </span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga82603ccfbdcdffa80711b780cc7001d7">   70</a></span><span class="preprocessor">#define CLK_CLKSEL1_SPI_S_HXTorLXT      0x00000000UL </span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga303b6ce1b5910b090d7f8a323ad3df55">   71</a></span><span class="preprocessor">#define CLK_CLKSEL1_SPI_S_HCLK          0x00000010UL </span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga831f1ba136220f44861c047fa802b7b8">   72</a></span><span class="preprocessor">#define CLK_CLKSEL1_TMR0_S_XTAL         0x00000000UL </span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1e7e08774b4e8b06ae87a26b24bc394d">   73</a></span><span class="preprocessor">#define CLK_CLKSEL1_TMR0_S_IRC10K       0x00000100UL </span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaacc4f9786f0f902314b852a1b0460c10">   74</a></span><span class="preprocessor">#define CLK_CLKSEL1_TMR0_S_LIRC         0x00000100UL </span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga22f7e1378034b248a114209721dd94d6">   75</a></span><span class="preprocessor">#define CLK_CLKSEL1_TMR0_S_HCLK         0x00000200UL </span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9ba00f91c61945a1d5db396d798be628">   76</a></span><span class="preprocessor">#define CLK_CLKSEL1_TMR0_S_IRC22M       0x00000700UL </span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga58dcc6ddbec0c8f862a866e7f8d4a57c">   77</a></span><span class="preprocessor">#define CLK_CLKSEL1_TMR0_S_HIRC         0x00000700UL </span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa6254cb6a39ea5b184a3f73e6c1d1aeb">   78</a></span><span class="preprocessor">#define CLK_CLKSEL1_TMR1_S_XTAL         0x00000000UL </span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga111da1af93a992df54bf413dd65ee0bc">   79</a></span><span class="preprocessor">#define CLK_CLKSEL1_TMR1_S_IRC10K       0x00001000UL </span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4716fba4deebbaa1bd1ccc0d9156229d">   80</a></span><span class="preprocessor">#define CLK_CLKSEL1_TMR1_S_LIRC         0x00001000UL </span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga038ff7eca716915f89d8c51a45bf4451">   81</a></span><span class="preprocessor">#define CLK_CLKSEL1_TMR1_S_HCLK         0x00002000UL </span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga69179432e24cc479c5d0b904c2ad3769">   82</a></span><span class="preprocessor">#define CLK_CLKSEL1_TMR1_S_IRC22M       0x00007000UL </span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga89f322b1f8c95cb5cbddc27a262d217a">   83</a></span><span class="preprocessor">#define CLK_CLKSEL1_TMR1_S_HIRC         0x00007000UL </span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadfe8460a75307b0e04a3b5a9865447a1">   84</a></span><span class="preprocessor">#define CLK_CLKSEL1_UART_S_XTAL         0x00000000UL </span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8ebb8b46f3fa9672b83b565383f7a650">   85</a></span><span class="preprocessor">#define CLK_CLKSEL1_UART_S_IRC22M       0x02000000UL </span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga206b01a15bf8697ddc419240988ca968">   86</a></span><span class="preprocessor">#define CLK_CLKSEL1_UART_S_HIRC         0x02000000UL </span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga742ddaace80b4eb2869938a0d9201d77">   87</a></span><span class="preprocessor">#define CLK_CLKSEL1_PWM01_S_HCLK        0x20000000UL </span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga30e5f5b079d1eee6d49c956f212ddd54">   88</a></span><span class="preprocessor">#define CLK_CLKSEL1_PWM23_S_HCLK        0x80000000UL </span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span><span class="comment">/*  CLKSEL2 constant definitions.                                                                          */</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad41cbd0b610d8afd3acbb32cc6844a9f">   94</a></span><span class="preprocessor">#define CLK_CLKSEL2_FRQDIV_XTAL        0x00000000UL </span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac49f81ac8e88e6dec5680fde3e00d499">   95</a></span><span class="preprocessor">#define CLK_CLKSEL2_FRQDIV_HXT         0x00000000UL </span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac7fbc63c7b060ff57b715ad4c76ae978">   96</a></span><span class="preprocessor">#define CLK_CLKSEL2_FRQDIV_LXT         0x00000000UL </span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga355416178cebbda348c7017ab4bd08ec">   97</a></span><span class="preprocessor">#define CLK_CLKSEL2_FRQDIV_HCLK        0x00000008UL </span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga37c4db6e1fc4e2d7442be33079caf618">   98</a></span><span class="preprocessor">#define CLK_CLKSEL2_FRQDIV_IRC22M      0x0000000CUL </span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadff64cd11575dda23fe65dd545b43f93">   99</a></span><span class="preprocessor">#define CLK_CLKSEL2_FRQDIV_HIRC        0x0000000CUL </span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf41685eb5b16488c685a55acb21a7b53">  100</a></span><span class="preprocessor">#define CLK_CLKSEL2_PWM45_S_HCLK       0x00000020UL </span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span><span class="comment">/*  CLKDIV constant definitions.                                                                           */</span></div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga10106bf426354bec869f0de79ae3ebb1">  106</a></span><span class="preprocessor">#define CLK_CLKDIV_ADC(x)  (((x)-1) &lt;&lt; 16) </span></div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga77d2b6ab80bd6a2daaeac486733fc470">  107</a></span><span class="preprocessor">#define CLK_CLKDIV_UART(x) (((x)-1) &lt;&lt;  8) </span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa2a696eb99c5cc6d1ead8b68e0c0bae1">  108</a></span><span class="preprocessor">#define CLK_CLKDIV_HCLK(x)  ((x)-1)        </span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span><span class="comment">/*  MODULE constant definitions.                                                                           */</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaece48376de6a6e9090b8c394344e8636">  113</a></span><span class="preprocessor">#define MODULE_APBCLK(x)                   ((x &gt;&gt;31) &amp; 0x1)    </span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafbcd006f65cef4b22d0d1bca3b1afef3">  114</a></span><span class="preprocessor">#define MODULE_CLKSEL(x)                   ((x &gt;&gt;29) &amp; 0x3)    </span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2dc9f42c7ab6aeb4ba024b8fdb16f930">  115</a></span><span class="preprocessor">#define MODULE_CLKSEL_Msk(x)               ((x &gt;&gt;25) &amp; 0xf)    </span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9b25b61e468527aaaa7f38f09e48121e">  116</a></span><span class="preprocessor">#define MODULE_CLKSEL_Pos(x)               ((x &gt;&gt;20) &amp; 0x1f)   </span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaeaea38131f5a6d44c686cc6d5e634493">  117</a></span><span class="preprocessor">#define MODULE_CLKDIV(x)                   ((x &gt;&gt;18) &amp; 0x3)    </span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabd85866b3fa7a302a80aa94c2b394bb0">  118</a></span><span class="preprocessor">#define MODULE_CLKDIV_Msk(x)               ((x &gt;&gt;10) &amp; 0xff)   </span></div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab72016bfc37d178f20aeb164b213eaf5">  119</a></span><span class="preprocessor">#define MODULE_CLKDIV_Pos(x)               ((x &gt;&gt;5 ) &amp; 0x1f)   </span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabd693274238f70a5351e2f9e9af43caf">  120</a></span><span class="preprocessor">#define MODULE_IP_EN_Pos(x)                ((x &gt;&gt;0 ) &amp; 0x1f)   </span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2ba0e54c58638770ff47160b4092ab7d">  121</a></span><span class="preprocessor">#define MODULE_NoMsk                       0x0                 </span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga68eddd535923d17ddbc8bb03bab70b3b">  122</a></span><span class="preprocessor">#define NA                                 MODULE_NoMsk        </span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga058b6fe8b3177be8d5031245d52605e2">  124</a></span><span class="preprocessor">#define MODULE_APBCLK_ENC(x)        (((x) &amp; 0x01) &lt;&lt; 31)   </span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae21a33afd5ae9ff3dbc4dd818bade8fe">  125</a></span><span class="preprocessor">#define MODULE_CLKSEL_ENC(x)        (((x) &amp; 0x03) &lt;&lt; 29)   </span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga86bbe2d7863858d8fbaf6f3e36279ac4">  126</a></span><span class="preprocessor">#define MODULE_CLKSEL_Msk_ENC(x)    (((x) &amp; 0x0f) &lt;&lt; 25)   </span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabd8114dc240d230371500f4d95ac2222">  127</a></span><span class="preprocessor">#define MODULE_CLKSEL_Pos_ENC(x)    (((x) &amp; 0x1f) &lt;&lt; 20)   </span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8eb02ca5a5a7647f4d9b7a09589ea906">  128</a></span><span class="preprocessor">#define MODULE_CLKDIV_ENC(x)        (((x) &amp; 0x03) &lt;&lt; 18)   </span></div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac10fc419fc00af3430d8e8d8beccf927">  129</a></span><span class="preprocessor">#define MODULE_CLKDIV_Msk_ENC(x)    (((x) &amp; 0xff) &lt;&lt; 10)   </span></div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga53ae78be36ca1ab74a7f2f7a604644de">  130</a></span><span class="preprocessor">#define MODULE_CLKDIV_Pos_ENC(x)    (((x) &amp; 0x1f) &lt;&lt;  5)   </span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf5588dcf5ec13a885715c1ae6fd4d8a1">  131</a></span><span class="preprocessor">#define MODULE_IP_EN_Pos_ENC(x)     (((x) &amp; 0x1f) &lt;&lt;  0)   </span></div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span><span class="comment">/*-------------------------------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span><span class="comment">/*   APBCLK(1) | CLKSEL(2) | CLKSEL_Msk(4) |    CLKSEL_Pos(5)    | CLKDIV(2) | CLKDIV_Msk(8) |     CLKDIV_Pos(5)  |  IP_EN_Pos(5)        */</span></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span><span class="comment">/*-------------------------------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaefc5c5d4f6d46fa66126a8b471e6b333">  135</a></span><span class="preprocessor">#define WDT_MODULE        ((0x0&lt;&lt;31)|(0x1&lt;&lt;29)|(0x3&lt;&lt;25)|( 0&lt;&lt;20)|(0x3&lt;&lt;18)|(MODULE_NoMsk&lt;&lt;10)|(31&lt;&lt;5)|CLK_APBCLK_WDT_EN_Pos )  </span></div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4490f2058973aa7507893ae3040e30ae">  136</a></span><span class="preprocessor">#define TMR0_MODULE       ((0x0&lt;&lt;31)|(0x1&lt;&lt;29)|(0x7&lt;&lt;25)|( 8&lt;&lt;20)|(0x3&lt;&lt;18)|(MODULE_NoMsk&lt;&lt;10)|(31&lt;&lt;5)|CLK_APBCLK_TMR0_EN_Pos)  </span></div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4f3c0420befc3fd680c619482c652701">  137</a></span><span class="preprocessor">#define TMR1_MODULE       ((0x0&lt;&lt;31)|(0x1&lt;&lt;29)|(0x7&lt;&lt;25)|(12&lt;&lt;20)|(0x3&lt;&lt;18)|(MODULE_NoMsk&lt;&lt;10)|(31&lt;&lt;5)|CLK_APBCLK_TMR1_EN_Pos)  </span></div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf04f68ef136af432770da8d6b4eabe32">  138</a></span><span class="preprocessor">#define FDIV_MODULE       ((0x0&lt;&lt;31)|(0x3&lt;&lt;29)|(0x3&lt;&lt;25)|( 2&lt;&lt;20)|(0x3&lt;&lt;18)|(MODULE_NoMsk&lt;&lt;10)|(31&lt;&lt;5)|CLK_APBCLK_FDIV_EN_Pos)  </span></div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaf5cad1af05ff8b0deee91d82a02cdf2">  139</a></span><span class="preprocessor">#define I2C_MODULE        ((0x0&lt;&lt;31)|(0x3&lt;&lt;29)|(MODULE_NoMsk&lt;&lt;25)|(31&lt;&lt;20)|(0x3&lt;&lt;18)|(MODULE_NoMsk&lt;&lt;10)|(31&lt;&lt;5)|CLK_APBCLK_I2C_EN_Pos)   </span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga27134fb16470a6878759a2e69ca68a92">  140</a></span><span class="preprocessor">#define SPI_MODULE        ((0x0&lt;&lt;31)|(0x1&lt;&lt;29)|(0x1&lt;&lt;25)|( 4&lt;&lt;20)|(0x3&lt;&lt;18)|(MODULE_NoMsk&lt;&lt;10)|(31&lt;&lt;5)|CLK_APBCLK_SPI_EN_Pos)   </span></div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa8408d081cc7ddf35547426dee549cc5">  141</a></span><span class="preprocessor">#define UART_MODULE       ((0x0&lt;&lt;31)|(0x1&lt;&lt;29)|(0x3&lt;&lt;25)|(24&lt;&lt;20)|(0x0&lt;&lt;18)|(0x0F&lt;&lt;10)|( 8&lt;&lt;5)|CLK_APBCLK_UART_EN_Pos)          </span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3e6e896020dcebab79489c71d3d6c7ba">  142</a></span><span class="preprocessor">#define PWM01_MODULE      ((0x0&lt;&lt;31)|(0x1&lt;&lt;29)|(0x3&lt;&lt;25)|(28&lt;&lt;20)|(0x3&lt;&lt;18)|(MODULE_NoMsk&lt;&lt;10)|(31&lt;&lt;5)|CLK_APBCLK_PWM01_EN_Pos) </span></div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga503fbb130bef38a23562886086fd9612">  143</a></span><span class="preprocessor">#define PWM23_MODULE      ((0x0&lt;&lt;31)|(0x1&lt;&lt;29)|(0x3&lt;&lt;25)|(30&lt;&lt;20)|(0x3&lt;&lt;18)|(MODULE_NoMsk&lt;&lt;10)|(31&lt;&lt;5)|CLK_APBCLK_PWM23_EN_Pos) </span></div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga552401025f845e7a298f8b385558f798">  144</a></span><span class="preprocessor">#define PWM45_MODULE      ((0x0&lt;&lt;31)|(0x3&lt;&lt;29)|(0x3&lt;&lt;25)|( 4&lt;&lt;20)|(0x3&lt;&lt;18)|(MODULE_NoMsk&lt;&lt;10)|(31&lt;&lt;5)|CLK_APBCLK_PWM45_EN_Pos) </span></div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4c7bc484e427369d477792d9e432723e">  145</a></span><span class="preprocessor">#define ADC_MODULE        ((0x0&lt;&lt;31)|(0x1&lt;&lt;29)|(0x3&lt;&lt;25)|( 2&lt;&lt;20)|(0x0&lt;&lt;18)|(0xFF&lt;&lt;10)|(16&lt;&lt;5)|CLK_APBCLK_ADC_EN_Pos)           </span></div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno"><a class="line" href="../../d3/de0/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga98d02399c4cf4d6a6a88dbfa3d007613">  146</a></span><span class="preprocessor">#define ACMP_MODULE       ((0x0&lt;&lt;31)|(0x3&lt;&lt;29)|(MODULE_NoMsk&lt;&lt;25)|(31&lt;&lt;20)|(0x3&lt;&lt;18)|(MODULE_NoMsk&lt;&lt;10)|(31&lt;&lt;5)|CLK_APBCLK_ACMP_EN_Pos)   </span><span class="comment">/* end of group MINI51_CLK_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span> </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span> </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31f678693e1aadf43a190c1e40f3cbc9">CLK_DisableCKO</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5241b9593cac6dd5412d350c0e571e51">CLK_EnableCKO</a>(uint32_t u32ClkSrc, uint32_t u32ClkDiv, uint32_t u32ClkDivBy1En);</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8a4f26f4731fdca63af252773ee72088">CLK_PowerDown</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0920dc6df8ce954838d45072f075b347">CLK_Idle</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>uint32_t <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafa5076ef7010baaa621da89225c14e57">CLK_GetHXTFreq</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>uint32_t <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga70068a9cb9cc8099f56423a99a0dafcc">CLK_GetLXTFreq</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>uint32_t <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27ded0f4435751be979927718884488f">CLK_GetHCLKFreq</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno"><a class="line" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga15c5a1cc055a26e3da00d8dc66f05e66">  162</a></span>uint32_t <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga15c5a1cc055a26e3da00d8dc66f05e66">CLK_GetPCLKFreq</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>uint32_t <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa95d8368f13a4b774dffbf895c750e64">CLK_GetCPUFreq</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab1a48f2301aa652d88d9235674183a24">CLK_SetHCLK</a>(uint32_t u32ClkSrc, uint32_t u32ClkDiv);</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gada76aad06147856dad5f349704112611">CLK_SetModuleClock</a>(uint32_t u32ModuleIdx, uint32_t u32ClkSrc, uint32_t u32ClkDiv);</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1ce2943c698a17c51766cf77e1353bf8">CLK_SetSysTickClockSrc</a>(uint32_t u32ClkSrc);</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae4dc253bdbb63c0044d71cb37256cf3d">CLK_EnableSysTick</a>(uint32_t u32ClkSrc, uint32_t u32Count);</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad9d846aeb8260e9b9ea4063647244252">CLK_DisableSysTick</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadfcb464858fe9270881d9edf102b9ed1">CLK_EnableXtalRC</a>(uint32_t u32ClkMask);</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fcb315221079b3c5ebf800253ffee8">CLK_DisableXtalRC</a>(uint32_t u32ClkMask);</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga517b9f3157919153e56c85ffb9ccd0ab">CLK_EnableModuleClock</a>(uint32_t u32ModuleIdx);</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58ebca80b6dad0a35cbabc28cf910506">CLK_DisableModuleClock</a>(uint32_t u32ModuleIdx);</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5ab15677ea51c3099b27f42dc4b6fcb2">CLK_SysTickDelay</a>(uint32_t us);</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>uint32_t <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga620c121e9147b128081654d9552efe15">CLK_WaitClockReady</a>(uint32_t u32ClkMask);</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span> </div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span> </div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span> <span class="comment">/* end of group MINI51_CLK_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span> <span class="comment">/* end of group MINI51_CLK_Driver */</span></div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span> <span class="comment">/* end of group MINI51_Device_Driver */</span></div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span> </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>}</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span> </div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span><span class="preprocessor">#endif </span><span class="comment">//__CLK_H__</span></div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span> </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span><span class="comment">/*** (C) COPYRIGHT 2013 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga0920dc6df8ce954838d45072f075b347"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0920dc6df8ce954838d45072f075b347">CLK_Idle</a></div><div class="ttdeci">void CLK_Idle(void)</div><div class="ttdoc">This function let system enter to Idle mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00080">clk.c:80</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga15c5a1cc055a26e3da00d8dc66f05e66"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga15c5a1cc055a26e3da00d8dc66f05e66">CLK_GetPCLKFreq</a></div><div class="ttdeci">uint32_t CLK_GetPCLKFreq(void)</div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga1ce2943c698a17c51766cf77e1353bf8"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1ce2943c698a17c51766cf77e1353bf8">CLK_SetSysTickClockSrc</a></div><div class="ttdeci">void CLK_SetSysTickClockSrc(uint32_t u32ClkSrc)</div><div class="ttdoc">This function set SysTick clock source.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00215">clk.c:215</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga27ded0f4435751be979927718884488f"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27ded0f4435751be979927718884488f">CLK_GetHCLKFreq</a></div><div class="ttdeci">uint32_t CLK_GetHCLKFreq(void)</div><div class="ttdoc">This function get HCLK frequency. The frequency unit is Hz.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00114">clk.c:114</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga31f678693e1aadf43a190c1e40f3cbc9"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31f678693e1aadf43a190c1e40f3cbc9">CLK_DisableCKO</a></div><div class="ttdeci">void CLK_DisableCKO(void)</div><div class="ttdoc">This function disable frequency output function.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00030">clk.c:30</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga517b9f3157919153e56c85ffb9ccd0ab"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga517b9f3157919153e56c85ffb9ccd0ab">CLK_EnableModuleClock</a></div><div class="ttdeci">void CLK_EnableModuleClock(uint32_t u32ModuleIdx)</div><div class="ttdoc">This function enable module clock.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00301">clk.c:301</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga5241b9593cac6dd5412d350c0e571e51"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5241b9593cac6dd5412d350c0e571e51">CLK_EnableCKO</a></div><div class="ttdeci">void CLK_EnableCKO(uint32_t u32ClkSrc, uint32_t u32ClkDiv, uint32_t u32ClkDivBy1En)</div><div class="ttdoc">This function enable frequency divider module clock, enable frequency divider clock function and conf...</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00053">clk.c:53</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga58ebca80b6dad0a35cbabc28cf910506"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58ebca80b6dad0a35cbabc28cf910506">CLK_DisableModuleClock</a></div><div class="ttdeci">void CLK_DisableModuleClock(uint32_t u32ModuleIdx)</div><div class="ttdoc">This function disable module clock.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00323">clk.c:323</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga5ab15677ea51c3099b27f42dc4b6fcb2"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5ab15677ea51c3099b27f42dc4b6fcb2">CLK_SysTickDelay</a></div><div class="ttdeci">void CLK_SysTickDelay(uint32_t us)</div><div class="ttdoc">This function execute delay function.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00336">clk.c:336</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga620c121e9147b128081654d9552efe15"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga620c121e9147b128081654d9552efe15">CLK_WaitClockReady</a></div><div class="ttdeci">uint32_t CLK_WaitClockReady(uint32_t u32ClkMask)</div><div class="ttdoc">This function check selected clock source status.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00360">clk.c:360</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga70068a9cb9cc8099f56423a99a0dafcc"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga70068a9cb9cc8099f56423a99a0dafcc">CLK_GetLXTFreq</a></div><div class="ttdeci">uint32_t CLK_GetLXTFreq(void)</div><div class="ttdoc">This function get external low frequency crystal frequency. The frequency unit is Hz.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00102">clk.c:102</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga8a4f26f4731fdca63af252773ee72088"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8a4f26f4731fdca63af252773ee72088">CLK_PowerDown</a></div><div class="ttdeci">void CLK_PowerDown(void)</div><div class="ttdoc">This function let system enter to Power-down mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00069">clk.c:69</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaa95d8368f13a4b774dffbf895c750e64"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa95d8368f13a4b774dffbf895c750e64">CLK_GetCPUFreq</a></div><div class="ttdeci">uint32_t CLK_GetCPUFreq(void)</div><div class="ttdoc">This function get CPU frequency. The frequency unit is Hz.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00125">clk.c:125</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gab1a48f2301aa652d88d9235674183a24"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab1a48f2301aa652d88d9235674183a24">CLK_SetHCLK</a></div><div class="ttdeci">void CLK_SetHCLK(uint32_t u32ClkSrc, uint32_t u32ClkDiv)</div><div class="ttdoc">This function set HCLK clock source and HCLK clock divider.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00141">clk.c:141</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad7fcb315221079b3c5ebf800253ffee8"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fcb315221079b3c5ebf800253ffee8">CLK_DisableXtalRC</a></div><div class="ttdeci">void CLK_DisableXtalRC(uint32_t u32ClkMask)</div><div class="ttdoc">This function disable clock source.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00279">clk.c:279</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad9d846aeb8260e9b9ea4063647244252"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad9d846aeb8260e9b9ea4063647244252">CLK_DisableSysTick</a></div><div class="ttdeci">void CLK_DisableSysTick(void)</div><div class="ttdoc">Disable System Tick counter.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00253">clk.c:253</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gada76aad06147856dad5f349704112611"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gada76aad06147856dad5f349704112611">CLK_SetModuleClock</a></div><div class="ttdeci">void CLK_SetModuleClock(uint32_t u32ModuleIdx, uint32_t u32ClkSrc, uint32_t u32ClkDiv)</div><div class="ttdoc">This function set selected module clock source and module clock divider.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00185">clk.c:185</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gadfcb464858fe9270881d9edf102b9ed1"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadfcb464858fe9270881d9edf102b9ed1">CLK_EnableXtalRC</a></div><div class="ttdeci">void CLK_EnableXtalRC(uint32_t u32ClkMask)</div><div class="ttdoc">This function enable clock source.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00266">clk.c:266</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae4dc253bdbb63c0044d71cb37256cf3d"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae4dc253bdbb63c0044d71cb37256cf3d">CLK_EnableSysTick</a></div><div class="ttdeci">void CLK_EnableSysTick(uint32_t u32ClkSrc, uint32_t u32Count)</div><div class="ttdoc">Enable System Tick counter.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00233">clk.c:233</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gafa5076ef7010baaa621da89225c14e57"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafa5076ef7010baaa621da89225c14e57">CLK_GetHXTFreq</a></div><div class="ttdeci">uint32_t CLK_GetHXTFreq(void)</div><div class="ttdoc">This function get external high frequency crystal frequency. The frequency unit is Hz.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00090">clk.c:90</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:38 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
